Skip to main content
GET
/
api
/
v2
/
markets
/
history
Get price history for specific market line prices
curl --request GET \
  --url 'https://therundown.io/api/v2/markets/history?key='
{
  "meta": {
    "count": 2
  },
  "history": [
    {
      "id": 600001,
      "market_line_price_id": 192868821,
      "event_id": "09bfa53f8484a63e584398545c035932",
      "sport_id": 4,
      "affiliate_id": 19,
      "market_participant_id": 45001,
      "market_id": 1,
      "line": "",
      "price": "-105",
      "change_type": "new",
      "updated_at": "2026-02-10T14:00:00Z"
    },
    {
      "id": 600002,
      "market_line_price_id": 192868821,
      "event_id": "09bfa53f8484a63e584398545c035932",
      "sport_id": 4,
      "affiliate_id": 19,
      "market_participant_id": 45001,
      "market_id": 1,
      "line": "",
      "price": "-110",
      "previous_price": "-105",
      "change_type": "price_change",
      "updated_at": "2026-02-11T09:30:00Z"
    }
  ]
}

Authorizations

key
string
query
required

API key as query parameter

Query Parameters

market_line_price_ids
string
required

Comma-separated market line price IDs (max 50)

from
string<date-time>

Start time (RFC3339)

to
string<date-time>

End time (RFC3339)

limit
integer
default:1000
Required range: x <= 5000

Response

200 - application/json

Price history

meta
object
history
object[]